stages:
   - build
   - test

build website:
   image: node:18-alpine3.17
   stage: build
   script:
      - yarn install
      - yarn build

   artifacts:
      paths:
         - build

test website:
   image: alpine
   stage: test
   script:
      - test -f build/index.html

unit test:
   image: node:18-alpine3.17
   stage: test
   script:
      - yarn install
      - yarn test